summaryrefslogtreecommitdiffstats
path: root/test/Attic/treq
diff options
context:
space:
mode:
authorRichard Levitte <levitte@openssl.org>2015-04-21 21:10:01 +0200
committerRichard Levitte <levitte@openssl.org>2015-09-07 16:10:58 +0200
commit71a4f2832c3fe02d026af8241767ee80f440e876 (patch)
tree9c8ae80698b015f07ef6198b95ea02a6f6ddae08 /test/Attic/treq
parentfd9ad2300b280c0f71d24456bfbf04579331bc94 (diff)
Remove old testing scripts out of the way.
For now, I'm moving them into Attic/. They will be removed later. Reviewed-by: Rich Salz <rsalz@openssl.org>
Diffstat (limited to 'test/Attic/treq')
-rw-r--r--test/Attic/treq41
1 files changed, 41 insertions, 0 deletions
diff --git a/test/Attic/treq b/test/Attic/treq
new file mode 100644
index 0000000000..2062d76fb9
--- /dev/null
+++ b/test/Attic/treq
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+cmd='../util/shlib_wrap.sh ../apps/openssl req -config ../apps/openssl.cnf'
+
+if [ "$1"x != "x" ]; then
+ t=$1
+else
+ t=testreq.pem
+fi
+
+if $cmd -in $t -inform p -noout -text 2>&1 | fgrep -i 'Unknown Public Key'; then
+ echo "skipping req conversion test for $t"
+ exit 0
+fi
+
+echo testing req conversions
+cp $t req-fff.p
+
+echo "p -> d"
+$cmd -in req-fff.p -inform p -outform d >req-f.d || exit 1
+echo "p -> p"
+$cmd -in req-fff.p -inform p -outform p >req-f.p || exit 1
+
+echo "d -> d"
+$cmd -verify -in req-f.d -inform d -outform d >req-ff.d1 || exit 1
+echo "p -> d"
+$cmd -verify -in req-f.p -inform p -outform d >req-ff.d3 || exit 1
+
+echo "d -> p"
+$cmd -in req-f.d -inform d -outform p >req-ff.p1 || exit 1
+echo "p -> p"
+$cmd -in req-f.p -inform p -outform p >req-ff.p3 || exit 1
+
+cmp req-fff.p req-f.p || exit 1
+cmp req-fff.p req-ff.p1 || exit 1
+cmp req-fff.p req-ff.p3 || exit 1
+cmp req-f.p req-ff.p1 || exit 1
+cmp req-f.p req-ff.p3 || exit 1
+
+/bin/rm -f req-f.* req-ff.* req-fff.*
+exit 0